Bug 661354 - Review Request: identicurse - Curses based Status.net client
Summary: Review Request: identicurse - Curses based Status.net client
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julian Aloofi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 16:18 UTC by Steve Milner
Modified: 2011-01-17 20:52 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-17 20:52:53 UTC
julian.fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Steve Milner 2010-12-08 16:18:57 UTC
Spec URL: http://smilner.fedorapeople.org/identicurse/identicurse.spec
SRPM URL: http://smilner.fedorapeople.org/identicurse/identicurse-0.4.1-1.fc14.src.rpm
Description: A simple but powerful Identi.ca client with a curses-based UI.

Comment 1 Steve Milner 2010-12-08 16:20:31 UTC
Upstream: http://identicurse.net/

rpmlint:
$ rpmlint /home/steve/rpmbuild/RPMS/noarch/identicurse-0.4.1-1.fc14.noarch.rpm identicurse.spec identicurse.noarch: W: no-manual-page-for-binary identicurse
1 packages and 1 specfiles checked; 0 errors, 1 warnings.
$

Comment 2 Julian Aloofi 2010-12-08 17:23:05 UTC
Okay, I'll take this.

Some quick drive-by comments from a first glance at the spec:
- BuildRequires needs to be on python2-devel, as it's a python2 package as far as I can see

some cosmetical stuff:
- you don't actually need to define the python_sitearch, RPM does that automatically now (assuming you won't build this on Fedora 12 or even lower)
- you can leave the BuildRoot tag out as well and don't need to clean the buildroot before %install now
- you can leave out the %clean section

Comment 3 Steve Milner 2010-12-08 18:09:18 UTC
Sounds good, I'll make those changes now.

Comment 4 Steve Milner 2010-12-08 18:21:20 UTC
Updated for all above items. Note that rpmlint does spit out warnings on the cosmetic changes but I assume it just has not caught up yet :-)

Spec URL: http://smilner.fedorapeople.org/identicurse/identicurse.spec
SRPM URL:
http://smilner.fedorapeople.org/identicurse/identicurse-0.4.1-2.fc14.src.rpm

Comment 5 Julian Aloofi 2010-12-09 22:33:37 UTC
(In reply to comment #4)
> Updated for all above items. Note that rpmlint does spit out warnings on the
> cosmetic changes but I assume it just has not caught up yet :-)

Yup, that's correct, and therefore rpmlint has a couple of things to complain about, but they're not relevant:
[makerpm@Julians-Notebook rpmbuild]$ rpmlint ./SPECS/identicurse.spec SRPMS/identicurse-0.4.1-2.fc14.src.rpm ./RPMS/noarch/identicurse-0.4.1-2.fc14.noarch.rpm 
./SPECS/identicurse.spec: W: no-cleaning-of-buildroot %install
./SPECS/identicurse.spec: W: no-cleaning-of-buildroot %clean
./SPECS/identicurse.spec: W: no-buildroot-tag
./SPECS/identicurse.spec: W: no-%clean-section
identicurse.src: W: no-cleaning-of-buildroot %install
identicurse.src: W: no-cleaning-of-buildroot %clean
identicurse.src: W: no-buildroot-tag
identicurse.src: W: no-%clean-section
identicurse.noarch: W: no-manual-page-for-binary identicurse
2 packages and 1 specfiles checked; 0 errors, 9 warnings.


[x]  Package is named according to the Package Naming Guidelines. [1]
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Spec file is legible and written in American English.
[x]  Spec file lacks Packager, Vendor, PreReq tags.
[x]  Spec uses macros instead of hard-coded directory names.
[x]  Package consistently uses macros.
[x]  Macros in Summary, %description expandable at SRPM build time.
[x]  PreReq is not used.
[x]  Requires correct, justified where necessary.
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines. [2]
[x]  The spec file handles locales properly.
[x]  Changelog in prescribed format.

Mock builds the package just fine.
I also saw the patch you use is already applied in upstream trunk, awesome.

It wouldn't hurt to list %{_python_sitelib}/%{name}/ instead of just %{_python_sitelib}/* in %files though. Apart from that it looks all very sane.

Comment 6 Steve Milner 2010-12-14 20:54:41 UTC
Excellent. I'll make that change as well.

Comment 7 Steve Milner 2010-12-14 21:03:14 UTC
Spec URL: http://smilner.fedorapeople.org/identicurse/identicurse.spec
SRPM URL:
http://smilner.fedorapeople.org/identicurse/identicurse-0.4.1-3.fc14.src.rpm

Change:
-%{_python_sitelib}/*
+%{python_sitelib}/%{name}/
+%{python_sitelib}/%{name}-*.egg-info/

Comment 8 Julian Aloofi 2010-12-14 22:39:19 UTC
Awesome, this package is alright.

APPROVED

Comment 9 Steve Milner 2010-12-15 20:02:23 UTC
New Package SCM Request
=======================
Package Name: identicurse
Short Description: A simple but powerful Identi.ca client with a curses-based UI.
Owners: smilner
Branches: f14

Comment 10 Jason Tibbitts 2010-12-16 02:59:14 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2010-12-21 21:24:01 UTC
identicurse-0.4.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/identicurse-0.4.1-3.fc14

Comment 12 Fedora Update System 2010-12-22 19:51:19 UTC
identicurse-0.4.1-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.4.1-3.fc14

Comment 13 Fedora Update System 2010-12-29 21:54:08 UTC
identicurse-0.5.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.5.1-1.fc14

Comment 14 Fedora Update System 2011-01-04 20:55:43 UTC
identicurse-0.5.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.5.1-2.fc14

Comment 15 Fedora Update System 2011-01-08 21:26:13 UTC
identicurse-0.6.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.6.2-1.fc14

Comment 16 Fedora Update System 2011-01-17 20:52:43 UTC
identicurse-0.6.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.